import postgres from 'postgres';
import { drizzle } from 'drizzle-orm/postgres-js';

// src/postgres-js.ts
function createPostgresJsClient(opts) {
  const client = postgres(opts.connectionString);
  return drizzle(client, { schema: opts.schema });
}

export { createPostgresJsClient };
